Can't install Turbogears (with pysqlite) on Windows

Thomas thomas.mohme at gmx.net
Wed Jan 31 09:11:46 CET 2007


Hi there!

Installing TurboGears out-of-the-box (egg-based) on Windows doesn't
work because I can't
compile the extensions needed for the required pysqlite (also egg-
based):

Installed c:\programme\python24\lib\site-packages\turbogears-1.0.1-
py2.4.egg
Processing dependencies for TurboGears[standard,testtools]>=1.0
Searching for pysqlite
Reading http://www.python.org/pypi/pysqlite/
Reading http://pysqlite.org/
Reading http://www.python.org/pypi/pysqlite/2.3.3
Best match: pysqlite 2.3.3
Downloading http://initd.org/pub/software/pysqlite/releases/2.3/2.3.3/
pysqlite-2.3.3.tar.gz
Processing pysqlite-2.3.3.tar.gz
Running pysqlite-2.3.3\setup.py -q bdist_egg --dist-dir c:\temp
\easy_install-ovrxv0\pysqlite-2.3.3\egg-dist-tmp-0ynhfx
warning: no files found matching 'doc\*.html'
error: Setup script exited with error: Python was built with version
7.1 of Visual Studio, and extensions need to be built with the same
version of the compiler, but it isn't installed.

To get away without the need to compile the pysqltite extensions I
tried  to install the Windows-binary package of pysqlite manually
before installing TG this also doesn't work, because easy_install
doesn't know anything of my fresh installed pysqlite and tries to
install the egg from cheeseshop (with the above error . . .).

Any suggestions to get beyond this?
Is it possible to "tweak" the TG egg-installation so that it won't try
to "easy_install pysqlite"?
For the application I'm intending to build with TurboGears I don't
even need pysqlite :(

Thomas




More information about the Python-list mailing list